# $Revision: 1.142 $, $Date: 2009/05/16 13:46:30 $
#
# TODO:
# - update documentation to follow changes introduced in Patch0
#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	GNOME2 configuration database system
Summary(pl.UTF-8):	System konfiguracyjnej bazy danych dla GNOME 2
Summary(pt_BR.UTF-8):	Sistema de Configuração do GNOME 2
Summary(ru.UTF-8):	Система конфигурации GNOME 2
Name:		GConf2
Version:	2.26.2
Release:	1
License:	LGPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/GConf/2.26/GConf-%{version}.tar.bz2
# Source0-md5:	8b55d58dab13e821e048627aa4f92b8b
Patch0:		%{name}-NO_MAJOR_VERSION.patch
Patch1:		%{name}-reload.patch
URL:		http://www.gnome.org/
BuildRequires:	ORBit2-devel >= 1:2.14.9
BuildRequires:	PolicyKit-devel >= 0.9
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	glib2-devel >= 1:2.19.0
BuildRequires:	gtk+2-devel >= 2:2.15.0
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.30
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
Requires(post):	findutils
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	GConf2-xinitrc
Obsoletes:	libGConf2
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GConf2 is a configuration database system, functionally similar to the
Windows registry but lots better. :-) It's being written for the
GNOME2 desktop but does not require GNOME2; configure should notice if
GNOME2 is not installed and compile the basic GConf2 library anyway.

%description -l pl.UTF-8
GConf2 jest systemem konfiguracyjnej bazy danych, funkcjonalnie
podobnej do rejestru Windows, ale o wiele lepszej :-). Jest pisana dla
desktopu GNOME2, ale nie wymaga GNOME2; skrypt configure powinien
wykryć brak GNOME2 i skompilować tylko wersję podstawową GConf2.

%description -l pt_BR.UTF-8
Gconf2 é o sistema de banco de dados de configuração do GNOME2.

%package libs
Summary:	GConf2 shared library
Summary(pl.UTF-8):	Biblioteka współdzielona GConf2
Group:		Libraries
Requires:	ORBit2 >= 1:2.14.9
Requires:	glib2 >= 1:2.19.0
Conflicts:	GConf2 < 2.24.0-2

%description libs
GConf2 shared library and gconftool utility (used both for
configuration management and development purposes).

%description libs -l pl.UTF-8
Biblioteka współdzielona GConf2 oraz narzędzie gconftool (używane
zarówno przy zarządzaniu konfiguracją, jak i tworzeniu
oprogramowania).

%package devel
Summary:	Header files for GConf2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GConf2
Summary(pt_BR.UTF-8):	Sistema de Configuração do GNOME2 - arquivos para desenvolvimento
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	ORBit2-devel >= 1:2.14.9
Requires:	dbus-devel >= 1.0.0
Requires:	libxml2-devel >= 1:2.6.30
Obsoletes:	libGConf2-devel

%description devel
Header files for GConf2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GConf2.

%description devel -l pt_BR.UTF-8
Sistema de Configuração do GNOME2 - arquivos para desenvolvimento.

%package static
Summary:	GConf2 static libraries
Summary(pl.UTF-8):	Biblioteki statyczne GConf2
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com gconf2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
GConf2 static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne GConf2.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com gconf

%package apidocs
Summary:	GConf2 API documentation
Summary(pl.UTF-8):	Dokumentacja API GConf2
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
GConf2 API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API GConf2.

%package examples
Summary:	GConf2 - example programs
Summary(pl.UTF-8):	GConf2 - przykładowe programy
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description examples
GConf2 - example programs.

%description examples -l pl.UTF-8
GConf2 - przykładowe programy.

%package backend-evoldap
Summary:	Evolution Data Sources LDAP backend for GConf
Summary(pl.UTF-8):	Backend LDAP źródeł danych Evolution dla GConfa
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description backend-evoldap
This is a special-purpose backend for GConf which enables default mail
accounts, addressbooks and calendars for Evolution to be configured
using each user's LDAP entry. By setting each user's mail address,
incoming/outgoing mail server addresses and addressbook/calendar
addresses in the user's LDAP entry, Evolution will be automatically
configured to use these addresses.

%description backend-evoldap -l pl.UTF-8
To jest backend GConfa specjalnego przeznaczenia, pozwalający na
konfigurowanie domyślnych kont pocztowych, książek adresowych i
kalendarzy dla Evolution przy użyciu wpisu LDAP dla każdego
użytkownika. Poprzez ustawienie każdemu użytkownikowi adres pocztowy,
adresy serwerów poczty przychodzącej/wychodzącej oraz adresy książki
adresowej i kalendarza w jego wpisie LDAP, Evolution zostanie
automatycznie skonfigurowane do używania tych adresów.

%prep
%setup -q -n GConf-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__gtkdocize}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	POLKIT_POLICY_FILE_VALIDATE=/usr/bin/polkit-policy-file-validate \
	%{!?with_static_libs:--disable-static} \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/%{name}-%{version},%{_sysconfdir}/gconf/{schemas,gconf.xml.system}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp examples/*.schemas $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%find_lang %{name}

# no *.{la,a} for modules - shut up check-files
rm -f $RPM_BUILD_ROOT%{_libdir}/GConf2/lib*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
for GCONF_DIR in %{_sysconfdir}/gconf/gconf.xml.mandatory %{_sysconfdir}/gconf/gconf.xml.defaults ;
    do
    GCONF_TREE=$GCONF_DIR/%gconf-tree.xml
    if [ ! -f "$GCONF_TREE" ]; then
	gconf-merge-tree "$GCONF_DIR"
        chmod 644 "$GCONF_TREE"
        find "$GCONF_DIR" -mindepth 1 -maxdepth 1 -type d -exec rm -rf \{\} \;
        rm -f "$GCONF_DIR/%gconf.xml"
    fi
done

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/gconf-merge-tree
%attr(755,root,root) %{_libexecdir}/gconf-defaults-mechanism
%attr(755,root,root) %{_libexecdir}/gconf-sanity-check-2
%attr(755,root,root) %{_libexecdir}/gconfd-2
%dir %{_libdir}/GConf2
%attr(755,root,root) %{_libdir}/GConf2/libgconfbackend-oldxml.so
%attr(755,root,root) %{_libdir}/GConf2/libgconfbackend-xml.so
%{_sysconfdir}/dbus-1/system.d/org.gnome.GConf.Defaults.conf
%dir %{_sysconfdir}/gconf
%dir %{_sysconfdir}/gconf/2
%{_sysconfdir}/gconf/gconf.xml.*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gconf/path
%dir %{_sysconfdir}/gconf/schemas
%{_datadir}/PolicyKit/policy/org.gnome.gconf.defaults.policy
%{_datadir}/dbus-1/services/org.gnome.GConf.service
%{_datadir}/dbus-1/system-services/org.gnome.GConf.Defaults.service
%dir %{_datadir}/GConf
%dir %{_datadir}/GConf/schema
%{_datadir}/sgml/gconf

%files libs -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgconf-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgconf-2.so.4
%attr(755,root,root) %{_bindir}/gconftool-2
%{_mandir}/man1/gconftool-2.1*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog TODO
%attr(755,root,root) %{_libdir}/libgconf-2.so
%{_libdir}/libgconf-2.la
%{_includedir}/gconf2
%{_aclocaldir}/gconf-2.m4
%{_pkgconfigdir}/gconf-2.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgconf-2.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gconf

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%files backend-evoldap
%defattr(644,root,root,755)
%doc backends/README.evoldap
%attr(755,root,root) %{_libdir}/GConf2/libgconfbackend-evoldap.so
%{_datadir}/GConf/schema/evoldap.schema
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gconf/2/evoldap.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: GConf2.spec,v $
Revision 1.142  2009/05/16 13:46:30  megabajt
- updated to 2.26.2
- removed -workaround-bug581880.patch (fixed upstream)

Revision 1.141  2009/05/09 17:57:44  megabajt
- added -workaround-bug581880.patch
- release 2

Revision 1.140  2009/05/06 17:57:50  megabajt
- updated to 2.26.1

Revision 1.139  2009/03/17 15:29:50  patrys
- merged from DEVEL

Revision 1.138.2.3  2009/03/17 15:27:51  patrys
- 2.26.0

Revision 1.138.2.2  2009/02/18 19:24:55  megabajt
- removed -path.patch (GNOME 1 is not supported in Th)
- provide /etc/gconf/gconf.xml.system directory

Revision 1.138.2.1  2009/02/18 11:25:11  megabajt
- updated to 2.25.2

Revision 1.138  2008/12/26 16:56:43  qboosh
- separated -libs (libgconf-2 + gconftool-2) to allow development without
  installing daemons or suids (dbus and policykit)

Revision 1.137  2008/10/13 23:26:19  sls
- BR: PolicyKit-devel >= 0.9 for polkit_dbus_error_generate

Revision 1.136  2008/09/30 21:36:40  qboosh
- pass POLKIT_POLICY_FILE_VALIDATE to allow build without installed PolicyKit

Revision 1.135  2008/09/25 17:45:59  megabajt
- updated to 2.24.0; merged changes from DEVEL

Revision 1.134.2.2  2008/08/19 12:31:18  patrys
- 2.23.2

Revision 1.134.2.1  2008-06-03 09:26:31  patrys
- 2.23.1

Revision 1.134  2008-03-10 17:30:32  megabajt
- updated to 2.22.0; merged changes from DEVEL

Revision 1.132.2.4  2008-01-28 16:19:55  megabajt
- updated to 2.21.90

Revision 1.133  2008/01/22 20:45:53  hawk
- release 3

Revision 1.132.2.3  2008-01-22 17:45:55  megabajt
- updated to 2.21.2
- -glib.patch applied upstream

Revision 1.132.2.2  2008-01-16 17:54:33  patrys
- use proper pkgconfig deps and don't taint other modules with glib-1.x

Revision 1.132.2.1  2008-01-09 18:43:57  megabajt
- updated to 2.21.1

Revision 1.132  2007-11-03 21:46:12  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.131  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.130  2007/10/15 15:42:19  megabajt
- updated to 2.20.1

Revision 1.129  2007/09/19 23:30:10  qboosh
- more verbose files
- LGPL v2+

Revision 1.128  2007/09/19 14:50:32  megabajt
- updated to 2.20.0; merged from DEVEL

Revision 1.125.2.2  2007/08/27 20:22:26  megabajt
- added examples subpackage

Revision 1.125.2.1  2007/08/27 20:00:49  megabajt
- updated to 2.19.1

Revision 1.125  2007/03/05 19:01:13  megabajt
- updated to 2.18.0.1

Revision 1.124  2007/03/04 16:05:09  qboosh
- no need to require self

Revision 1.123  2007/03/04 12:37:31  megabajt
- updated to 2.18.0

Revision 1.122  2007/02/27 16:05:49  megabajt
- updated to 2.16.1

Revision 1.121  2007/02/12 21:21:30  glen
- tabs in preamle

Revision 1.120  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.119  2007/01/04 16:38:56  megabajt
- added apidocs subpackage
- release 3

Revision 1.118  2006/11/20 18:06:57  megabajt
- release 2 (rebuild with P: *.la)

Revision 1.117  2006/10/05 14:18:23  grzegol
- 2.16.0

Revision 1.116  2006/08/12 13:05:21  freetz
- added reload patch (reload gconfd-2 after schema registration), rel.8

Revision 1.115  2006/07/10 20:46:08  freetz
- rel.7, --as-needed support, dropped bogus xinitrc subpackage, added
  borrowed from ubuntu post installation script

Revision 1.114  2006/07/07 22:04:58  czarny
 - R parent GConf2 package for xinitrc subpackage

Revision 1.113  2006/07/07 21:41:06  czarny
 - rel 6

Revision 1.112  2006/07/07 21:36:44  czarny
 - new xinitrc subpackage to fix directory problems
 - complaint with xinitrc and xinitrc-ng

Revision 1.111  2006/07/07 20:55:55  czarny
 - removed my bogus xinitrc-ng R

Revision 1.110  2006/07/02 19:06:36  czarny
 - due to new rpm it requires /etc/X11/xinitrc.d provided by xinitrc-ng

Revision 1.109  2006/06/07 13:12:53  freetz
- refresh gtk-doc.make, beeding edge deps, rel.5

Revision 1.108  2006/05/24 17:13:48  freetz
- remove unsupported locale

Revision 1.107  2006/05/24 08:32:58  qboosh
- merged deps update from AC-branch

Revision 1.102.2.4  2006/05/19 22:45:04  baggins
- release 4
- strict glib2 req (/usr/bin/gconftool-2: symbol lookup error:
	/usr/lib/libgconf-2.so.4: undefined symbol: g_slice_alloc)

Revision 1.102.2.3  2006/05/18 19:51:51  baggins
- release 3
- strict reqs

Revision 1.102.2.2  2006/05/12 18:22:01  baggins
- rel 2
- BR glib2-devel >= 2.9.0

Revision 1.102.2.1  2006/05/12 18:17:12  baggins
- merged from HEAD

Revision 1.106  2006/04/02 14:27:02  freetz
- TODO added

Revision 1.105  2006/04/02 12:11:54  qboosh
- separated evoldap backend (as -backend-evoldap)
- dropped old ppc/gtk-doc hack and removal of non-existing acinclude.m4

Revision 1.104  2006/04/02 09:35:03  qboosh
- BR: openldap-devel (for evoldap module)

Revision 1.103  2006/03/31 20:41:08  freetz
- merged from DEVEL

Revision 1.100.2.2  2006/03/18 22:27:37  freetz
- 2.14.0

Revision 1.100.2.1  2006/01/18 18:03:36  freetz
- 2.13.5

Revision 1.102  2006/01/23 15:08:55  qboosh
- current policy is not to R: pkgconfig just because package has pkgconfig support

Revision 1.101  2006/01/19 17:54:13  qboosh
- current policy is not to R: automake just because package has aclocal support

Revision 1.100  2006/01/17 14:26:24  baggins
- rel 3
- rebuild with openldap 2.3

Revision 1.99  2005/12/30 13:03:05  glen
- R: automake for -devel

Revision 1.98  2005/12/30 13:00:49  glen
- R: pkgconfig for -devel

Revision 1.97  2005/12/22 15:19:17  pluto
- release 3 for rebuild with new ldap.

Revision 1.96  2005/12/21 11:52:16  patrys
- merge user settings for faster startup
- script based on Debian

Revision 1.95  2005/11/06 10:51:14  freetz
- 2.12.1

Revision 1.94  2005/09/07 12:04:03  paladine
- BR: gtk-doc >= 1.4-2
- rel. 2

Revision 1.93  2005/09/06 10:05:11  aflinta
- merged from DEVEL, 2.12.0

Revision 1.91.2.5  2005/08/22 17:18:53  aflinta
- version 2.11.92

Revision 1.91.2.4  2005/08/17 21:12:34  aflinta
- rebuild with new cairo, rel.2

Revision 1.91.2.3  2005/07/26 15:25:29  freetz
- 2.11.90, shutdown fix already in sources

Revision 1.91.2.2  2005/07/06 17:51:15  wiget
- added small TODO

Revision 1.91.2.1  2005/07/03 14:53:13  freetz
- 2.11.1

Revision 1.91  2005/06/17 21:10:45  twittner
- cosmetics

Revision 1.90  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.89  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.88  2005/06/14 19:33:48  witekfl
- renamed static_libs -> static

Revision 1.87  2005/06/14 14:26:41  qboosh
- reverted breakage

Revision 1.86  2005/06/14 14:14:06  witekfl
- fixed with static libs

Revision 1.85  2005/06/13 19:38:22  witekfl
- added bcond_without static_libs

Revision 1.84  2005/06/13 16:39:34  freetz
- rel.5 for rebuild with corrected shutdown patch

Revision 1.83  2005/06/09 15:04:37  witekfl
- added shutdown patch
- rel 4 STBR

Revision 1.82  2005/05/10 23:08:02  pluto
- release 3 for Th.

Revision 1.81  2005/04/16 11:41:14  paladine
- bumped BRs/Rs

Revision 1.80  2005/04/12 19:23:20  freetz
- reversed ldconfig changes

Revision 1.79  2005/04/10 15:42:12  freetz
- new style macros, rel.2

Revision 1.78  2005/03/07 21:44:12  paladine
- merged from DEVEL

Revision 1.77.2.3  2005/03/07 17:31:58  wiget
- updated to 2.10.0
